/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TImportConfig;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TImportConfigRecord extends UpdatableRecordImpl<TImportConfigRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_import_config.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_import_config.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_import_config.pk</code>. the used id, act as
     * primary key
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_import_config.pk</code>. the used id, act as
     * primary key
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_import_config.fk_import_config</code>. the
     * id from parent
     */
    public void setFkImportConfig(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_import_config.fk_import_config</code>. the
     * id from parent
     */
    public Integer getFkImportConfig() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_import_config.name</code>. name of config
     * item
     */
    public void setName(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_import_config.name</code>. name of config
     * item
     */
    public String getName() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.t_import_config.value</code>. value of config
     * item
     */
    public void setValue(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_import_config.value</code>. value of config
     * item
     */
    public String getValue() {
        return (String) get(4);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TImportConfigRecord
     */
    public TImportConfigRecord() {
        super(TImportConfig.T_IMPORT_CONFIG);
    }

    /**
     * Create a detached, initialised TImportConfigRecord
     */
    public TImportConfigRecord(LocalDateTime lastchange, Integer pk, Integer fkImportConfig, String name, String value) {
        super(TImportConfig.T_IMPORT_CONFIG);

        setLastchange(lastchange);
        setPk(pk);
        setFkImportConfig(fkImportConfig);
        setName(name);
        setValue(value);
        resetChangedOnNotNull();
    }
}
